Name:		kdesvn
Version:	2.0.0
%define subrel	1
Release:	%mkrel 1
Summary:	KDE client for subversion
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://kdesvn.alwins-world.de/
Source:		http://download.kde.org/stable/kdesvn/%{version}/%{name}-%{version}.tar.xz
Patch0:		kdesvn-2.0.0-fix-manpage-install.patch
Patch1:		kdesvn-2.0.0-fix-startup-and-update-changelog-for-2.0.0.patch
BuildRequires:	doxygen
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Bookmarks)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5Service)
BuildRequires:	cmake(KF5TextEditor)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	subversion-devel

Requires:	graphviz
Recommends:	kdiff3
Recommends:	kompare

Obsoletes:	kdesvn-devel < 1.6.0-10

%description
kdesvn is yet another client for subversion. But it uses native
KDE API instead of a extra lib like GAMBAS and it is using the
native subversion delevelopment API instead of just parsing the
output of the commandline tool like most other clients do. It tries
to setup a look and feel like the standard filemanager of KDE and is
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifcations and fixes.


%files -f %{name}.lang
%doc AUTHORS ChangeLog
%license COPYING
%_kf5_bindir/%{name}
%_kf5_bindir/%{name}askpass
%_kf5_plugindir/kded/kdesvnd.so
%_qt5_plugindir/*.so
%_kf5_datadir/%{name}/
%_kf5_datadir/kconf_update/*
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_datadir/config.kcfg/*
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_services/ServiceMenus/%{name}_subversion.desktop
%_kf5_services/ServiceMenus/%{name}_subversion_toplevel.desktop
%_kf5_services/kdesvnpart.desktop
%_kf5_services/ksvn*.protocol
%_kf5_services/svn*.protocol
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.kdesvnd.xml
%_kf5_datadir/dbus-1/services/org.kde.kdesvnd.service
%_kf5_mandir/man1/*

#-----------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name --with-man --with-html


%changelog
* Tue Aug 01 2017 daviddavid <daviddavid> 2.0.0-1.1.mga6
+ Revision: 1133880
- add an upstream patch to fix startup (mga#21291)

* Mon Dec 05 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1072641
- new version: 2.0.0
- port to Kf5/Qt5
- add patch to fix all manpage missing install

* Sun Mar 27 2016 tv <tv> 1.7.0-1.mga6
+ Revision: 995737
- drop lib sub-package (libsvnqt is now a private API)
- adjust file list
- 1.7.0
- drop devel sub-package (libsvnqt is now a private API)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-5.mga5
+ Revision: 741319
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 681010
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 506590
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 356045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 fwang <fwang> 1.6.0-1.mga3
+ Revision: 287167
- new version 1.6.0

* Mon Nov 21 2011 juancho <juancho> 1.5.5-3.mga2
+ Revision: 170696
- Removed Requires on cervisia CCBUG: 3399
- Added Suggests for kdiff3 and kompare

* Mon Feb 21 2011 spuhler <spuhler> 1.5.5-2.mga1
+ Revision: 55144
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package kdesvn


* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.5.5-2mdv2011.0
+ Revision: 605046
- Rebuild with apr with workaround to issue with gcc type based alias analysis

* Wed Oct 13 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.5.5-1mdv2011.0
+ Revision: 585418
- update to 1.5.5

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 1.5.4-1mdv2011.0
+ Revision: 577578
- fix build with kde 4.5
- new version 1.5.4

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 533495
- update to new version 1.5.3

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1.5.2-1mdv2010.1
+ Revision: 503907
- update to new version 1.5.2

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 492551
- new version 1.5.1

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2010.1
+ Revision: 489752
- finally fix file list
- fix file list
- new version 1.5.0

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.4.1-2mdv2010.1
+ Revision: 465254
- Rebuild against new Qt

* Wed Oct 14 2009 Juan Luis Baptiste <juancho@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 457412
- update to new version 1.4.1
- Updated download URL.

* Sat Aug 01 2009 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2010.0
+ Revision: 406476
- new version 1.4.0

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 393219
- new verison 1.3.2

* Sat May 16 2009 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 376405
- New version 1.3.1

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.3.0-1mdv2010.0
+ Revision: 369624
- New version 1.3.0

* Thu Feb 19 2009 Funda Wang <fwang@mandriva.org> 1.2.4-1mdv2009.1
+ Revision: 342799
- New version 1.2.4

* Mon Jan 19 2009 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2009.1
+ Revision: 331299
- New version 1.2.3

* Fri Nov 14 2008 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2009.1
+ Revision: 303197
- New version 1.2.2

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 291784
- New version 1.2.1 (kde4 version)

* Thu Oct 02 2008 Funda Wang <fwang@mandriva.org> 1.0.2-2mdv2009.0
+ Revision: 290857
- move back svn protocol
- New version 1.0.2
- move man pages into main location

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 277922
- fix conflicts with kdesdk

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 277583
- New version 1.0.1
- BR sqlite3

  + Helio Chissini de Castro <helio@mandriva.com>
    - Avoid duplicates protocol with kdesdk, even been old

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 264142
- New version 1.0.0

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.14.6-1mdv2009.0
+ Revision: 238900
- update to new version 0.14.6

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 0.14.5-1mdv2009.0
+ Revision: 234874
- switch to /opt
- New version 0.14.5

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.14.4-1mdv2009.0
+ Revision: 210326
- Update to kdesvn 0.14.4

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 0.14.3-1mdv2009.0
+ Revision: 197389
- New version 0.14.3

* Sat Mar 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.14.2-2mdv2008.1
+ Revision: 189499
- Fix groups ( tks to pterjan)

* Sun Feb 24 2008 Frederik Himpe <fhimpe@mandriva.org> 0.14.2-1mdv2008.1
+ Revision: 174119
- New upstream version

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 27 2007 Funda Wang <fwang@mandriva.org> 0.14.1-2mdv2008.1
+ Revision: 138355
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.1-1mdv2008.1
+ Revision: 108045
- new version

* Wed Oct 17 2007 Funda Wang <fwang@mandriva.org> 0.14.0-1mdv2008.1
+ Revision: 99492
- new major
- fix file list
- New version 0.14.0

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0.13.0-2mdv2008.0
+ Revision: 75177
- fix libname
- add RevisionControl menu category

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%_datadir/man by %%_mandir!

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 0.13.0-1mdv2008.0
+ Revision: 60406
- New version 0.13.0

* Wed Jun 27 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.12.1-2mdv2008.0
+ Revision: 44897
- [BUGFIX] Add missing Require (iceauth)  (Bug 31615)

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.1-1mdv2008.0
+ Revision: 43701
- drop hardcoded packager tag
- new version
- spec file clean

* Mon May 07 2007 Laurent Montel <lmontel@mandriva.org> 0.12.0-1mdv2008.0
+ Revision: 23969
- 0.12

* Wed Apr 18 2007 Laurent Montel <lmontel@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 14668
- 0.11.2


* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 0.11.1-1mdv2007.0
+ Revision: 133103
- 0.11.1
- 0.11.0
- Add sources
- 0.10.0
  Now it used cmake
- Necessary to generate makefile

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove unused source
    - Remove patch as it broken menu entry under KDE original menu

* Tue Aug 29 2006 Laurent Montel <lmontel@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 58273
- 0.9.2

* Sat Jul 29 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2007.0
+ Revision: 42486
- Added graphviz dependency. http://qa.mandriva.com/show_bug.cgi?id=23988

* Tue Jul 25 2006 Laurent Montel <lmontel@mandriva.com> 0.9.1-1mdv2007.0
+ Revision: 41961
- 0.9.1

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-1mdv2007.0
+ Revision: 41517
- 0.9.0
- 0.8.5
- Fix duplicate menu into new xdg menu
- 0.8.4
  Real fix for x86_64

  + Helio Chissini de Castro <helio@mandriva.com>
    - Small fixes on kdesvn to avoid global warnings on youri
    - Subversion test
    - Changed soname. Got caught in the upgrade.
    - New upstream release 0.8.3
    - Fix again the svn/regular commit breakage.
      * Seg Abr 24 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
    - 0.8.2
    - Miss ldconfig on library
    - New upstream release 0.8.0
    - Created libsvnqt and devel subpackages
    - Increase release
    - Humanmistake under pressure. I need vacations soon or will become too
      depressed because the trashing snowball hitting me
    - Make suitable for other non %%ix86 32 bits archs. Thanks to L. Montel for point this
    - Fixed changelog to make it back to svn
    - Fix compilation against x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Increase release
    - Fix Description size
    - Add a warning ( kdesvn is in svn)

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu Mar 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Feb 01 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-3mdk
- Missing postun postin

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2mdk
- Use --enable-final
- Fix missing file

* Thu Jan 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- Clean spec
- 0.7.2
- Add menu entry

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Thu Aug 18 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:54:38 (674)
- First package to Mandriva contrib

* Thu Aug 18 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:05:45 (673)
- Created package structure for kdesvn.

